@import "_breakpoints"; //for responsive related break points
@import "_buttons"; // for Buttons
@import "_config"; //site related UI config
@import "_fonts"; //
@import "_form"; // form related UI.
@import "_mixins";
@import "_flex"; //
::-webkit-scrollbar {
    width: 10px;
    height: 10px;
}

::-webkit-scrollbar:hover {
    height: 10px;
    width: 10px;
}

::-webkit-scrollbar-track {
    // -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-track:hover {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
}

::-webkit-scrollbar-thumb {
    background-color: #bfc3e0;
    outline: #333 solid 1px;
    border-radius: 5px;
}

.w-100 {
    width: 100%;
}

.d-flex {
    display: flex;
}

.flex-width {
    flex: 1 1 0;
}

.align-items-center {
    align-items: center !important;
}

.justify-content-between {
    justify-content: space-between !important;
}

.justify-content-end {
    justify-content: flex-end !important;
}

.m-l-15 {
    margin-left: 15px;
}

.m-r-15 {
    margin-right: 15px;
}

.flex-column {
    flex-direction: column;
}

// ====== layout========
.primary-layout {
    height: 100vh;
    .pi-master-view {
        display: flex;
        flex-direction: column;
        flex-shrink: 0;
        overflow: hidden;
        header {
            &.page-breadcrumb {
                margin: 0;
                border-bottom: 1px solid #dcdde2;
                display: flex;
                -moz-align-items: center;
                -ms-align-items: center;
                align-items: center;
                padding: 0 16px;
                height: 40px;
                a {
                    display: flex;
                    -moz-align-items: center;
                    -ms-align-items: center;
                    align-items: center;
                    color: $primary-color;
                    text-decoration: none;
                    font-size: 14px;
                    line-height: 1.2;
                    @include medium-font;
                    i {
                        font-size: 14px;
                        background: $primary-color;
                        color: #fff;
                        border-radius: 50%;
                        margin-right: 6px;
                        width: 18px;
                        height: 18px;
                        display: flex;
                        -moz-align-items: center;
                        -ms-align-items: center;
                        align-items: center;
                        -moz-justify-content: center;
                        -ms-justify-content: center;
                        justify-content: center;
                        -ms-flex-pack: center;
                    }
                }
            }
            padding: 16px 16px;
            border-bottom: none;
            flex-shrink: 0;
            display: flex;
            align-items: center;
            i {
                &.icon-pn-projects {
                    position: relative;
                    top: 5px;
                    left: 2px;
                }
            }
            .info {
                display: inline-flex;
                flex-direction: column;
                align-items: flex-start;
                flex-grow: 2;
                margin-left: 8px;
                h4 {
                    color: #fff;
                    font-size: 18px;
                    cursor: default;
                    border-bottom: none;
                    padding: 0;
                    margin-top: 0;
                    margin-bottom: 0;
                    @include medium-font;
                    font-weight: normal;
                }
            }
            .page-indicator {
                font-size: 21px;
                color: #fff;
            }
        }
        .menu-container {
            flex-grow: 1;
            overflow: auto;
            ul {
                list-style: none;
                padding: 0 13px;
                margin: 0;
                li {
                    padding: 10px;
                    height: 40px;
                    display: flex;
                    align-items: center;
                    outline: none;
                    border-radius: 3px;
                    cursor: pointer;
                    .menu-tab-icon-holder {
                        width: 24px;
                        height: 24px;
                        margin-right: 10px;
                        i {
                            font-size: 21px;
                            &.icon-favorites {
                                font-size: 21px;
                            }
                            &.icon-pn-projects {
                                position: relative;
                                top: 1px;
                            }
                        }
                    }
                    .menu-tab-name {
                        font-size: 14px;
                        height: 24px;
                        @include medium-font;
                        font-weight: normal;
                        line-height: 24px;
                    }
                }
            }
            .internal-links {
                margin-top: 10px;
                h4 {
                    color: #fff;
                    @include medium-font;
                    font-weight: normal;
                    color: #fff;
                    opacity: .7;
                    margin-bottom: 10px;
                    margin-top: 26px;
                    margin-left: 22px;
                    font-size: 14px;
                }
                p {
                    &.nodata {
                        color: #fff;
                        margin: 5px 12px;
                        font-size: 14px;
                        text-align: center;
                        margin-top: 20px;
                        opacity: .6;
                    }
                }
            }
        }
        &.with-brand-bg {
            background-color: $primary-color;
            width: 240px;
            li {
                color: #fff;
                &:hover {
                    background-color: #134796;
                    color: #fff;
                }
                &.active {
                    color: #fff;
                    background-color: #134796;
                }
            }
        }
    }
    .pi-detail-view {
        background-color: #f7f8fe;
        .primary-layout-detail {
            display: -webkit-box;
            display: -webkit-flex;
            display: -ms-flexbox;
            display: flex;
            min-height: 100vh;
            padding: 0;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            -webkit-flex-direction: column;
            -ms-flex-direction: column;
            flex-direction: column;
            header {
                flex-direction: row;
                padding: 12px 20px;
                min-height: 62px;
                background-color: #fff;
                border-bottom: solid 1px #f5f5f5;
                flex-shrink: 0;
                display: -webkit-box;
                display: -webkit-flex;
                display: -ms-flexbox;
                display: flex;
                -webkit-box-pack: justify;
                -webkit-justify-content: space-between;
                -ms-flex-pack: justify;
                justify-content: space-between;
                -webkit-box-align: center;
                -webkit-align-items: center;
                -ms-flex-align: center;
                align-items: center;
                background-color: #fff;
                h1 {
                    font-size: 21px;
                    color: #56647d;
                    @include medium-font;
                    font-weight: normal;
                    margin-bottom: 0;
                    line-height: 1.2;
                    letter-spacing: -0.22px;
                    margin-top: 0px;
                }
                .left-header {
                    flex-direction: column;
                    display: flex;
                    align-items: flex-start;
                }
                .right-header {
                    // flex-direction: column;
                    display: flex;
                    align-items: center;
                    margin: 0;
                    a {
                        cursor: pointer;
                        display: flex;
                        align-items: center;
                        color: #40546c;
                        font-size: 14px;
                        i {
                            font-size: 20px;
                            &.icon-filter-new {
                                font-size: 16px;
                                position: relative;
                                top: 2px;
                                text-align: center;
                            }
                        }
                        span {}
                    }
                }
            }
            .primary-layout-detail-body {
                display: flex;
                justify-content: flex-start;
                align-items: stretch;
                margin-top: 0px;
                margin-bottom: 0px;
                flex: 1;
                background-color: #ffffff;
                min-height: 200px;
                padding: 0;
                overflow: auto;
                padding: 0px;
                footer {
                    min-height: 40px;
                    border-top: 1px solid #dfdfdf;
                    padding: 0 20px;
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                }
            }
        }
    }
}

// ==================== =============//
.favorites-cards {
    margin: 10px auto;
    padding: 0px;
    margin-top: 4px;
    .card-ui {
        padding-right: 10px;
        padding-left: 10px;
    }
    .favorite-card {
        cursor: pointer;
        background: #fff;
        border: none;
        box-shadow: inset 0px -1px 0px 1px rgba(218, 219, 225, 0.80);
        margin-bottom: 10px;
        margin-top: 10px;
        outline: none;
        width: 300px;
        height: 110px;
        border-radius: 3px;
        padding: 14px;
        display: flex;
        justify-content: space-between;
        flex-direction: column;
        .job-holder {
            display: flex;
            justify-content: space-between;
            .job-client-logo {
                width: 38px;
                height: 38px;
                background: #efefef;
                border-radius: 3px;
                border: solid 1px #dedede;
            }
            .job-client-info {
                width: calc(100% - 50px);
                h3 {
                    margin: 0 auto;
                    font-size: 16px;
                    color: #1b314f;
                    @include medium-font;
                    font-weight: normal;
                    padding: 0;
                    overflow: hidden;
                    text-overflow: ellipsis;
                    white-space: pre;
                }
                p {
                    margin: 0 auto;
                    color: #909aa9;
                    font-size: 14px;
                }
            }
        }
        .job-fav-info {
            display: flex;
            line-height: 1.2;
            .job-status-holder {
                display: flex;
                i {
                    height: 17px;
                    width: 38px;
                    text-align: center;
                    margin-right: 12px;
                    &.icon-favorites-filled {
                        font-size: 16px;
                    }
                }
                .status {
                    color: #fff;
                    min-width: 32px;
                    height: 15px;
                    margin-top: 1px;
                    display: inline-flex;
                    @include medium-font;
                    padding: 1px 4px 3px 4px;
                    font-size: 10px;
                    border-radius: 2px;
                    text-transform: uppercase;
                    line-height: 1.3;
                    font-weight: normal;
                    &.Open {
                        background: #5389ca;
                    }
                }
            }
            span {
                color: #909aa9;
                font-size: 14px;
            }
        }
        &:hover {
            background: #eceef7;
            box-shadow: inset 0px 1px 0px 2px #eceef7;
        }
        &:focus {
            border: none;
            outline: none;
        }
    }
}

.container-fluid {
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
    margin-right: auto;
    margin-left: auto;
}

.row {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap; // margin-right: -15px;
    // margin-left: -15px;
}

.col-12 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 100%;
    flex: 0 0 100%;
    max-width: 100%;
}

.page-title-box {}

@media (min-width: 992px) {
    .col-lg-6 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 50%;
        flex: 0 0 50%;
        max-width: 50%;
    }
}

@media (min-width: 1200px) {
    .col-xl-5 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 41.66667%;
        flex: 0 0 41.66667%;
        max-width: 41.66667%;
    }
    .col-xl-7 {
        -webkit-box-flex: 0;
        -ms-flex: 0 0 58.33333%;
        flex: 0 0 58.33333%;
        max-width: 58.33333%;
    }
}

.col-xl-4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 33.33333%;
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
}

.col,
.col-1,
.col-10,
.col-11,
.col-12,
.col-2,
.col-3,
.col-4,
.col-5,
.col-6,
.col-7,
.col-8,
.col-9,
.col-auto,
.col-lg,
.col-lg-1,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-auto,
.col-md,
.col-md-1,
.col-md-10,
.col-md-11,
.col-md-12,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-auto,
.col-sm,
.col-sm-1,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-auto,
.col-xl,
.col-xl-1,
.col-xl-10,
.col-xl-11,
.col-xl-12,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-auto {
    position: relative;
    width: 100%;
    padding-right: 15px;
    padding-left: 15px;
}

.padding-20 {
    padding-left: 20px !important;
    padding-right: 20px !important;
    .row {
        margin-left: -20px !important;
        margin-right: -20px !important;
        &.favorites-cards {
            margin-left: -10px !important;
            margin-right: -10px !important;
        }
    }
}

.primary-background {
    background: #f7f8fe;
    header,
    footer {
        background: #f7f8fe !important;
    }
    .primary-layout-detail-body {
        background: #f7f8fe !important;
    }
}

.primary-max-screen-width {
    max-width: 1264px;
    margin: 0 auto;
    width: 100%;
}

.secondary-max-screen-width {
    width: 980px;
    margin: 0 auto;
}

.section-header-title {
    font-size: 21px;
    @include medium-font;
    font-weight: normal;
    color: #56647d;
    padding: 0 0;
    padding-bottom: 0px;
}

.msg-holder {
    background: #ebeef6;
    cursor: pointer;
    border-radius: 3px;
    .msg-alert {
        margin-bottom: 30px;
        p {
            color: #0064cc;
            margin-bottom: 0;
            margin-top: 0;
            @include medium-font;
            font-size: 14px;
            padding: 10px;
            text-align: center;
        }
    }
    &:hover {
        background: #d4dae9;
    }
}

.no-msg-holder {
    background: #ebeef6;
    border-radius: 3px;
    .msg-alert {
        margin-bottom: 30px;
        p {
            color: #909aa9;
            margin-bottom: 0;
            margin-top: 0;
            @include medium-font;
            font-size: 14px;
            padding: 10px;
            text-align: center;
        }
    }
}

// Grid Releted UI
.customized-ag-grid {
    .ag-theme-balham {
        .ag-header {
            left: 0;
            right: 0;
            min-height: 37px !important;
            border-bottom: none;
            .ag-header-row {
                min-height: 37px !important;
                .ag-header-cell-menu-button {
                    height: 40px;
                    .ag-icon-menu {
                        height: 40px;
                    }
                }
            }
        }
        .ag-header {
            background: #fff;
            .ag-header-cell {
                line-height: 38px;
                padding-left: 12px;
                padding-right: 12px;
                &:after {
                    display: none;
                }
                .ag-header-cell-text {
                    @include regularFont;
                    font-weight: 600;
                    color: #4a5a74;
                    font-size: 12px;
                    text-transform: uppercase;
                }
            }
        }
        .ag-body {
            .ag-layout-normal {
                border-top: 0;
                .ag-body-viewport {
                    border: solid 1px #e5e5eb;
                    width: calc(100% + 2px);
                }
            }
        }
        .ag-root {
            .ag-cell {
                color: #5c6c84;
                font-size: 14px;
                @include medium-font;
            }
        }
        .ag-side-bar {
            border-right: 1px solid transparent;
            border-top: 1px solid transparent;
            background: #fff;
            .ag-side-buttons {
                padding-top: 0;
                background: #fff;
                border-left: solid 1px #e5e5eb;
                position: relative;
                margin-top: 35px;
                border-top: 2px solid #dfdfdf;
            }
        }
    }
    &.with-footer {
        height: calc(100vh - 102px);
        .ag-side-bar .ag-side-buttons {
            border-bottom: 0;
        }
        .ag-body .ag-layout-normal .ag-body-viewport {
            border-bottom: 0;
        }
        .ag-paging-panel {
            position: absolute;
            bottom: -37px;
            padding: 0;
            border-top: 1px solid transparent;
            right: 0;
        }
    }
}

// ==============Projects grid List ======
//    * [] =======
.ag-theme-balham {
    &.projects-grid {
        .ag-cell {
            line-height: 32px;
        }
    }
}

.project-client-holder {
    display: flex;
    height: 52px;
    align-items: center;
    .fav-check-icon-and-client-image {
        display: flex;
        .fav-check {
            height: 40px;
            i {
                &.icon-favorites-filled,
                &.icon-favorites {
                    top: 5px;
                }
            }
        }
        .project-client-image {
            width: 38px;
            height: 38px;
            background: #efefef;
            border-radius: 3px;
            border: solid 1px #dedede;
        }
    }
    .job-name-and-client-id {
        p {
            padding: 0;
            margin: 0;
            line-height: 1.3;
            padding-left: 10px;
            color: #5c6c84;
            @include semibold-font;
            font-size: 14px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
            max-width: 214px;
            padding-bottom: 2px;
            &.client-id {
                color: #909b9c;
                @include regularFont;
                font-size: 14px;
            }
        }
    }
}

.favorites-tab {
    header {
        background: #f7f8fe !important;
        border-bottom: solid 1px #f7f8fe !important;
    }
    .ag-body-viewport-wrapper.ag-layout-auto-height {
        border: solid 1px #e5e5eb;
    }
}

.left-content {
    .pixel-icons {
        width: 18px;
        height: 18px;
        font-size: 18px;
        margin-right: 10px;
        /*12px;*/
        text-align: center;
        &.icon-overview {
            //  @include iconSize(18px);
            margin-right: 8px;
        }
        &.icon-task {
            font-size: 16px;
            height: 16px;
        } // &.icon-distribution-types {
        //     font-size: 22px;
        //     height: 22px;
        // }
    }
    .mat-list {
        .mat-list-item {
            @include medium-font;
            font-weight: normal;
        }
    }
}